/****************************************************************************
* Together - Simple Videoconference System
* Copyright (C) 2010 Marius Gligor info@gmax.ws
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****************************************************************************/
#ifndef VIDEODECODERH
#define VIDEODECODERH

#include "context.h"
#include "avcodec.h"
#include "libavutil.h"
#include "libavcodec.h"

//---------------------------------------------------------------------------
class CVideoDecoder : public CAvUtil, CAvCodec
{
    AVCodec *codec;
    AVCodecContext *ctx;
    AVFrame *pict;
    int got_picture;
    int get(int x, uint8_t *dst, int w, int h);
public:
    CVideoDecoder();
    virtual ~CVideoDecoder();
    // video
    int open(GLOBAL_CONTEXT &oa_ctx);    // initialize
    int decode(uint8_t *inp, int inp_size, uint8_t *out, int key_frame);
    void close();
};
//---------------------------------------------------------------------------

#endif
