/****************************************************************************
* Together - Simple Videoconference System
* Copyright (C) 2010 Marius Gligor info@gmax.ws
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****************************************************************************/

#include <vcl.h>
#pragma hdrstop

#include "About.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAboutForm *AboutForm;
//---------------------------------------------------------------------------
__fastcall TAboutForm::TAboutForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::OnOk(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::OnShow(TObject *Sender)
{
    Serial->Caption = "SN: GMAX" + IntToStr(3364);
    Timer->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::OnTimer(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------
void __fastcall TAboutForm::OnClose(TObject *Sender, TCloseAction &Action)
{
    Timer->Enabled = false;
}
//---------------------------------------------------------------------------
