/****************************************************************************
* Together - Simple Videoconference System
* Copyright (C) 2010 Marius Gligor info@gmax.ws
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
****************************************************************************/

#ifndef CLIENTH
#define CLIENTH

#include "context.h"
#include "Thread.h"

class CClient : public CThread
{
    SRV_CONTEXT *cntx;
    // metods
    int32_t ReadBlock();
    int32_t Read(uint8_t *buffer, int32_t size);

    TCP_HEADER hdr;
    int32_t block_size;
    uint8_t *block_body;

public:
    SOCKET cli;
    CClient(SRV_CONTEXT *c);
    virtual ~CClient();
    virtual void Run();
    void Close();
};


#endif;
